Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033587
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2016-08-02 09:132016-10-10 19:02
ReporterairaceburuView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR16Q4
StatusclosedFix in branchFixed in SCM revision5fc2b2fbce73
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033587: PreDeleteCurrentOrderHook is not called either from the cashup or from the logout

DescriptionPreDeleteCurrentOrderHook is not called either from the cashup or from the logout
Steps To ReproduceLogin
Place a breakpoint in PreDeleteCurrentOrderHook
Add one item to the receipt
Logout
Verify that the execution is not stopped
--
Login
Place a breakpoint in PreDeleteCurrentOrderHook
Add one item to the receipt
Click on Cashup in the main menu
Click on delete (the current order)
Verify that the execution is not stopped
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0034030RR16Q3.2 closedjorge-garcia PreDeleteCurrentOrderHook is not called either from the cashup or from the logout 
causes defect 0034203 closedmario_castello [SERQA 1940] The OBPOS_PreDeleteCurrentOrder hook is called when tickets loaded from backend are removed 
causes defect 0034227 closedjorge-garcia It is not possible to do a logout if you have a ticket with all lines deleted 

-  Notes
(0089818)
hgbot (developer)
2016-09-07 20:59
edited on: 2016-09-07 21:02

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5fc2b2fbce73b592f8b62cc977da7460f4fa503f
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Wed Sep 07 07:56:34 2016 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fc2b2fbce73b592f8b62cc977da7460f4fa503f [^]

Fixed issue 33587: Moved the hook OBPOS_PreDeleteCurrentOrder from pointOfSales to order.
Now can be called the function deleteOrder when delete a receipt to execute the hook OBPOS_PreDeleteCurrentOrder.

Call function deleteOrder from cashup.
Call function deleteOrder when the user close the session.

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpendingreceipts.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---

(0089819)
hgbot (developer)
2016-09-07 21:17

Repository: tools/automation/pi-mobile
Changeset: 5e2698b597b6609bf94618076e9afce8c002ba53
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Wed Sep 07 13:17:27 2016 -0600
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/5e2698b597b6609bf94618076e9afce8c002ba53 [^]

Related to issue 33587: Added automated test

---
A src-test/org/openbravo/test/mobile/quarantine/pack/MCA/receipts/I33587_VerifyDeleteReceiptWithPreDeleteOrderHook.java
---
(0089981)
jorge-garcia (developer)
2016-09-15 13:27

The flows with the Preference 'WebPOS Save Remove Ticket' active are not going through the PreDeleteCurrentOrder hook.
(0090105)
hgbot (developer)
2016-09-20 11:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: aefe9683c6dd07fb2eb0521b54960400126d8681
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Sep 19 12:36:19 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/aefe9683c6dd07fb2eb0521b54960400126d8681 [^]

Related to issue 33587: PreDeleteCurrentOrderHook is not called either from
the cashup or from the logout

Centralize the functionality to delete a ticket keeping in mind all the flows
that use this functionality:

* Delete Tickets from the Point of sale Window
* Delete ticket from the CashUp Window
* Delete ticket in the logout

Also implemented the part where the user wants to save delete tickets from
the WebPOS.

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpendingreceipts.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0090106)
hgbot (developer)
2016-09-20 11:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 90ad72953c8f1bafc7797cfd3246be2f8fae19ea
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 20 09:02:05 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/90ad72953c8f1bafc7797cfd3246be2f8fae19ea [^]

Related to issue 33587: PreDeleteCurrentOrderHook is not called either from
the cashup or from the logout

Change the logout funtionality to close always the active session.

Fix JSlint errors of previous fixes.

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0090107)
hgbot (developer)
2016-09-20 11:40

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 944a5e21a32531c10cacb32d7e5ca5239678dba3
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Sep 19 12:35:40 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/944a5e21a32531c10cacb32d7e5ca5239678dba3 [^]

Related to issue 33587: PreDeleteCurrentOrderHook is not called either from
the cashup or from the logout

Centralize the functionality to delete a ticket keeping in mind all the flows
that use this functionality:

* Delete Tickets from the Point of sale Window
* Delete ticket from the CashUp Window
* Delete ticket in the logout

Also implemented the part where the user wants to save delete tickets from
the WebPOS.

---
M web/org.openbravo.mobile.core/source/component/dialog/ob-logout.js
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0090108)
hgbot (developer)
2016-09-20 11:40

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 49015c21ad6a053b0a9165e052de16f6aee52c0c
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 20 09:03:22 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/49015c21ad6a053b0a9165e052de16f6aee52c0c [^]

Related to issue 33587: PreDeleteCurrentOrderHook is not called either from
the cashup or from the logout

Change the lock funtionality to not close the session and don't delete the
pending orders.

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---

- Issue History
Date Modified Username Field Change
2016-08-02 09:13 airaceburu New Issue
2016-08-02 09:13 airaceburu Assigned To => Retail
2016-08-02 09:13 airaceburu Triggers an Emergency Pack => No
2016-08-26 23:05 mario_castello Assigned To Retail => mario_castello
2016-08-30 21:14 mario_castello Status new => acknowledged
2016-09-02 17:44 mario_castello Status acknowledged => scheduled
2016-09-07 20:59 hgbot Checkin
2016-09-07 20:59 hgbot Note Added: 0089818
2016-09-07 20:59 hgbot Status scheduled => resolved
2016-09-07 20:59 hgbot Resolution open => fixed
2016-09-07 20:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fc2b2fbce73b592f8b62cc977da7460f4fa503f [^]
2016-09-07 21:02 mario_castello Note Edited: 0089818 View Revisions
2016-09-07 21:17 hgbot Checkin
2016-09-07 21:17 hgbot Note Added: 0089819
2016-09-08 16:52 guilleaer Review Assigned To => guilleaer
2016-09-08 16:52 guilleaer Status resolved => closed
2016-09-08 16:52 guilleaer Fixed in Version => RR16Q4
2016-09-15 13:27 jorge-garcia Note Added: 0089981
2016-09-15 13:27 jorge-garcia Status closed => new
2016-09-15 13:27 jorge-garcia Resolution fixed => open
2016-09-15 13:27 jorge-garcia Fixed in Version RR16Q4 =>
2016-09-15 13:31 jorge-garcia Status new => scheduled
2016-09-15 13:31 jorge-garcia Assigned To mario_castello => jorge-garcia
2016-09-20 11:40 hgbot Checkin
2016-09-20 11:40 hgbot Note Added: 0090105
2016-09-20 11:40 hgbot Checkin
2016-09-20 11:40 hgbot Note Added: 0090106
2016-09-20 11:40 hgbot Checkin
2016-09-20 11:40 hgbot Note Added: 0090107
2016-09-20 11:40 hgbot Checkin
2016-09-20 11:40 hgbot Note Added: 0090108
2016-09-20 12:11 marvintm Status scheduled => acknowledged
2016-09-20 12:11 marvintm Status acknowledged => scheduled
2016-09-20 13:47 jorge-garcia Status scheduled => resolved
2016-09-20 13:47 jorge-garcia Resolution open => fixed
2016-10-10 19:02 marvintm Review Assigned To guilleaer => marvintm
2016-10-10 19:02 marvintm Status resolved => closed
2016-10-10 19:02 marvintm Fixed in Version => RR16Q4
2016-10-13 17:15 aaroncalero Relationship added causes 0034203
2016-10-20 19:14 dmitry_mezentsev Relationship added causes 0034227


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker